// Credits to FrontendTips: https://www.youtube.com/watch?v=lnXf1mpFGb8&ab_channel=FrontendTips
const data = [{
  name: 'Toyota', 
  value: 1933099
}, {
  name: 'Ford',
  value: 1804793
}, {
  name: 'Chevrolet', 
  value: 1468889
}, {
  name: 'Honda',
  value: 1308476
}, {
  name: 'Nissan',
  value: 919090
}, {
  name: 'Jeep',
  value: 876503
}, {
  name: 'Hyundai',
  value: 832190
}, {
  name: 'Kia',
  value: 765321
  
}];

const svg = d3.select('svg'),
      width = svg.attr('width'),
      height = svg.attr('height');

const radius = 200;
const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height / 2})`);

const color = d3
	.scaleOrdinal(["#97eb44", "#CD5C5C", "#DE3163", "#808000", "#CCCCFF", "#40E0D0", "#9FE2BF", "#008080"]);

const pie = d3
	.pie()
	.sort(null)
	.value(d => d.value);

const path = d3
	.arc()
	.outerRadius(200)
	.innerRadius(0);

const label = d3
	.arc()
	.outerRadius(radius)
	.innerRadius(radius - 90);

const pies = g
	.selectAll('.arc')
	.data(pie(data))
	.enter()
	.append('g')
	.attr('class', 'arc');

console.log(path);
pies
  .append('path')
  .attr('d', path)
  .attr('fill', d => color(d.data.value));

pies.append('text')
  .text(d => d.data.name)
	.attr('transform', function(d) {
		return "translate(" + label.centroid(d) + ")";
	})
	// .attr('transform', d => `translate(${label.centroid(d)})`)